package com.smppw.modaq.common.enums;

import lombok.Getter;

@Getter
public enum ReportType {
    LETTER(-1, "交易流水确认函", new String[]{"确认单", "确认函", "确认"}, null),
    MONTHLY(0, "月", new String[]{"月", "月度", "月报"}, null),
    QUARTERLY(1, "季", new String[]{"季", "季度", "季报"}, null),
    ANNUALLY(2, "年", new String[]{"年度", "年报"}, null);

    private final int type;
    private final String label;
    /**
     * 报告类型识别关键字
     */
    private final String[] patterns;
    /**
     * ai解析提示词
     */
    private final String prompt;

    ReportType(int type, String label, String[] patterns, String prompt) {
        this.type = type;
        this.label = label;
        this.patterns = patterns;
        this.prompt = prompt;
    }
}
